buffer.hpp File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include <functional>`
`#include <iterator>`
`#include <memory>`
`#include <stdexcept>`
`#include <utility>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/memory/item_iterator.hpp>`
`#include <osmium/osm/entity.hpp>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for buffer.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::buffer_is_full
class | osmium::memory::Buffer

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::memory
| Memory management of items in buffers and iterators over this data.

## Functions

void | osmium::memory::swap (Buffer &lhs, Buffer &rhs)
bool | osmium::memory::operator== (const Buffer &lhs, const Buffer &rhs) noexcept
bool | osmium::memory::operator!= (const Buffer &lhs, const Buffer &rhs) noexcept